#!/usr/bin/make -f
#
# Copyright 2012-2012 by Metaways Infosystems GmbH
#
# http://www.metaways.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Metaways to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Metaways and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGES := $(shell dh_listpackages)
MODULES = $(filter-out ucs ucs-udm webstack courses,$(patsubst tine20-%,%,$(filter tine20-%,$(PACKAGES))))

%:
	dh  $@

# overwrite dh_installdeb to execute an additional shell script
override_dh_installdeb:
	dh_installdeb
	
	# generate list of available subpackages
	(echo -n "tine20:Modules="; for x in $(MODULES); do echo -n "tine20-$$x (= \$${binary:Version}),"; done; echo "") >> debian/tine20-webstack.substvars

# overwrite dh_fixperms to execute an additional shell script
override_dh_fixperms:
	dh_fixperms
	
	# remove executable bits from all php files as dh_fixperms does not remove them
	(find $(CURDIR)/debian/tine20-*/usr/share/tine20 -type f -name "*.php" -print0 2>/dev/null | xargs -0r chmod a-x)
	
	# make tine20.php executable again
	chmod 0755 $(CURDIR)/debian/tine20-tinebase/usr/share/tine20/tine20.php
	
	chmod 0755 $(CURDIR)/debian/tine20-ucs-udm/usr/lib/univention-install/70tine20-ucs-udm.inst

# UCS specific rules
#override_dh_auto_test:
#	ucslint

override_dh_auto_install:
	univention-install-config-registry
	dh_auto_install
